.nolist
.include "inc\m8def.inc"
.include "inc\macro.inc"

.cseg
.org 0	; Interrupt handlers
		rjmp RESET					; Power on reset
		rjmp RESET					; External Interrupt0
		rjmp RESET					; External Interrupt1
		rjmp RESET					; Timer/Counter2 Compare Match
		rjmp RESET					; Timer/Counter2 Overflow
		rjmp RESET					; Timer/Counter1 Capture Event
		rjmp RESET					; Timer/Counter1 Compare Match A
		rjmp RESET					; Timer/Counter1 Compare Match B
		rjmp RESET					; Timer/Counter1 Overflow
		rjmp RESET					; Timer/Counter0 Overflow
		rjmp RESET					; Serial Transfer Complete
		rjmp RESET					; USART, Rx Complete
		rjmp RESET					; USART Data Register Empty
		rjmp RESET					; USART, Tx Complete
		rjmp RESET					; ADC Conversion Complete
		rjmp RESET					; EEPROM Ready
		rjmp RESET					; Analog Comparator
		rjmp RESET					; 2-wire Serial Interface
		rjmp RESET					; Store Program Memory Ready

RESET:
		; Set stack pointer
		ldi xl, low(RAMEND)
		out SPL, xl
		ldi xh, high(RAMEND)
		out SPH, xh
		; Set PORTD for OUT
		ldi xl,0b11111111 
		out DDRD,xl
		; Set PINC PullUp
		ldi xl,0b11111111 
		out PORTC,xl

.list
